import {
  UserLayout,
  BasicLayout,
  BlankLayout,
  BigScreen,
  PageView
} from '@/layouts'

export default {
        path: '/home',
        name: 'home',
        redirect: '/home',
        component: PageView,
        meta: {
          title: '首页',
          icon: 'home'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/home',
            name: 'home0',
            redirect: '/home',
            component: BlankLayout,
            meta: {
              title: '首页',
              icon: 'home',
              hidden: true
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: '/home',
                name: 'home1',
                component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
                meta: {
                  title: '首页',
                  icon: 'home',
                  hidden: true
                }
              },
              {
                path: '/changePwd',
                name: 'changePwd',
                component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
                meta: {
                  title: '修改密码',
                  icon: 'home'
                },
                hidden: true
              },
              {
                path: '/notice',
                name: 'notice',
                component: () => import(/* webpackChunkName: "home" */ '@/views/setting/notice/list'),
                meta: {
                  title: '公告',
                  icon: 'bell'
                },
                hidden: true
              },
              {
                path: '/dowloadFile',
                name: 'dowloadFile',
                component: () => import(/* webpackChunkName: "home" */ '@/views/dowloadFile/list'),
                meta: {
                  title: '下载中心',
                  icon: 'bell'
                },
                hidden: true
              },
              // 新品列表
              {
                path: '/newProduct/list/:onlineFalg',
                name: 'newProductList',
                component: () => import(/* webpackChunkName: "home" */ '@/views/productManagement/newProduct/list'),
                meta: {
                  title: '新品信息',
                  icon: 'home'
                },
                hidden: true
              },
              {
                path: '/newProduct/list/:onlineFalg',
                name: 'oldProductList',
                component: () => import(/* webpackChunkName: "home" */ '@/views/productManagement/newProduct/list'),
                meta: {
                  title: '下线产品列表',
                  icon: 'home'
                },
                hidden: true
              },
              // 产品详情
              {
                path: '/viewProduct/:sn',
                name: 'viewProduct',
                component: () => import(/* webpackChunkName: "home" */ '@/views/productManagement/newProduct/detail'),
                meta: {
                  title: '产品详情',
                  icon: 'home'
                },
                hidden: true
              }
            ]
          }
        ]
      }